#if !defined(AFX_CDBAR_H__4EEA3DEC_44FB_4413_BC35_01E06370C26A__INCLUDED_)
#define AFX_CDBAR_H__4EEA3DEC_44FB_4413_BC35_01E06370C26A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CDBar.h : header file
//

#include "SeekDialog.h"

class CMyPrBar2 : public CProgressCtrl
{
public:
	CMyPrBar2();
	CDC memDC;
	CBitmap memBitmap;
	bool MemDCCreated;
	int width;
	int height;
protected:
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd( CDC* pDC );
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
// CCDBar dialog

class CCDBar : public CDialog
{
// Construction
public:
	bool CanResize;
	int w1;
	int w2;
	int l1;
	int h1;
	CString CurTime;
	void SaveWindowPosAndDestroy();
	void OnPlay();
	void OnPause();
	void OnStop();
	void OnNext();
	void OnPrev();
	CString CurTrack;
	CCDBar(UINT id, CWnd* pParent = NULL);   // standard constructor
	bool HDocked;
	bool VDocked;
	BOOL ScrollFlag;
// Dialog Data
	//{{AFX_DATA(CCDBar)
	enum { IDD = IDD_SEEK };
	//}}AFX_DATA
	CMyPrBar2	m_bar;
	CMyPrBarVol	m_vol;
	CTranspBmp m_ipe;
	CTranspBmp m_mb;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCDBar)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCDBar)
	virtual BOOL OnInitDialog();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnClose();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	//}}AFX_MSG
	virtual void OnOK(){};
	virtual void OnCancel(){};
	afx_msg void OnMoving( UINT nSide, LPRECT lpRect );
	afx_msg void OnSizing( UINT nSide, LPRECT lpRect );
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CDBAR_H__4EEA3DEC_44FB_4413_BC35_01E06370C26A__INCLUDED_)
